Subject: Re: bug#10464: 24.0.92; mouse highlight regression

From: Chong Yidong <[email-masked]>
Date: Tue, 10 Jan 2012 12:21:10 +0800

Eli Zaretskii <[email-masked]> writes:

> I think I fixed this (trunk revision 106827), but please test,
> including any variations on this theme you can come up with.  The
> bidi-aware mouse highlight is tricky business, especially when display
> strings are involved.

Thanks for the very quick fix.

This specific case is indeed fixed, but there is still a failing corner
case in the redisplay testsuite.  Load test/redisplay-testsuite.el, do
M-x test-redisplay, and go to the very last case in Test 2.

When the mouse is over the XXX, the highlight only extends to the end of
the text, whereas it's expected to go to the end of the line.  This is
the case where there's an overlay with "XXX\n" as the display string and
a mouse face.